mnoGoSearch 3.3.9 reference manual: Full-featured search engine software
Prev |  | Next

# ReverseAlias

## Name

ReverseAlias -- rewrites URL before inserting to the database

`indexer.conf`

## Synopsis

ReverseAlias [Prefix | Regexp] [Case | NoCase] {before} {after}

## Description

ReverseAlias allows to rewrite URL before it is inserted into the database. Unlike Alias (which performs mapping right before a document is downloaded), the ReverseAlias command performs mapping immediately after a new link is found.

ReverseAlias can be used to remove undesired URL parts, like session variables, to normalize host names, and so on.

## Examples

    # Convert short host name to long host name
    ReverseAlias http://mysite.com/   http://www.mysite.com/
    Server http://www.misite.com/

## See also

Alias, AliasProg, the Section called The ReverseAlias command in Chapter 3.

Prev | Home | Next
ResultsLimit | Up | Robots